#pragma once

#include <stdbool.h>
#include <clayer/rasterworks.h>

typedef struct {
	int x, y;
} coord_t;

typedef enum {
	plain, header, quote
} mode_t;

typedef struct {
	mode_t mode;
	coord_t pos, font_size;
	int color;
	bool italic, bold, underline, strike;
	
	// Header:
	float mul;
	
	// Quote:
} pen_t;

void render_DrawLen(pen_t *pen, char *buf, char *text, int len);
void render_DrawText(pen_t *pen, char *buf, char *text);
void render_NewLn(pen_t *pen);
